MuleShutdownHook (Mule ESB 2.2.1 API)
Keywords: org.mule.MuleShutdownHook class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule
Class MuleShutdownHook

    java.lang.Object
      java.lang.Thread
          org.mule.MuleShutdownHook

All Implemented Interfaces:
  Runnable

    public class MuleShutdownHook

extends Thread

The shutdown thread used by the server when its main thread is terminated

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`MuleShutdownHook(Log logger)`
`MuleShutdownHook(Log logger, Throwable exception)`

Method Summary
`boolean` | `equals(Object o)`
`Throwable` | `getException()`
`int` | `hashCode()`
`void` | `run()`
`void` | `setException(Throwable exception)`
`protected void` | `shutdown()`
`protected void` | `shutdown(Throwable t)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MuleShutdownHook

    public MuleShutdownHook(Log logger)

### MuleShutdownHook

    public MuleShutdownHook(Log logger,
                            Throwable exception)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### shutdown

    protected void shutdown(Throwable t)

### shutdown

    protected void shutdown()

### getException

    public Throwable getException()

### setException

    public void setException(Throwable exception)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.